package mscJNeuralNet.net;

/**
 * Diese Exception wird dann erzeugt, wenn 
 * eines der gegebenen Lerndatenstze nicht der Eingabe-/ Ausgabeschichtgre 
 * des Netzes entspricht.
 * <p/>
 * Created on 01.04.2004
 * @author <A HREF="http://www.graviton.de">M. Serhat Cinar</A>
 * @version 01.04.2004
 * @see mscJNeuralNet.net.Net
 * @see java.lang.Exception
 */
public class PatternDoesNotMatchNetException extends Exception {
	
	/**
	 * Konstruktor ohne Parameter.
	 */
	public PatternDoesNotMatchNetException(){
		super();
	}
	
	/**
	 * Konstruktor mit Exceptiontext.
	 * 
	 * @param ex Der Text der Exception.
	 */
	public PatternDoesNotMatchNetException(String ex){
		super(ex);
	}
}
